Package org.eclipse.net4j.util.collection

# Class Entity.Builder

java.lang.Object
org.eclipse.net4j.util.collection.Entity.Builder

Enclosing class:
  `Entity`

public static final class Entity.Builder extends Object

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`Entity`
`build()`
`String`
`name()`
`Entity.Builder`
`name(String name)`
`String`
`namespace()`
`Entity.Builder`
`namespace(String namespace)`
`Entity.Builder`
`postBuild(Consumer<Entity> handler)`
`Entity.Builder`
`preBuild(Consumer<Entity.Builder> handler)`
`Map<String,String>`
`properties()`
`Entity.Builder`
`properties(Map<String,String> properties)`
`String`
`property(String name)`
`Entity.Builder`
`property(String name, String value)`
`Entity.Builder`
`remove(Predicate<String> namePredicate)`
`Entity.Builder`
`retain(Predicate<String> namePredicate)`
`int`
`version()`
`Entity.Builder`
`version(int version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### namespace

public String namespace()

### namespace

public Entity.Builder namespace(String namespace)

### name

public String name()

### name

public Entity.Builder name(String name)

### version

public int version()

### version

public Entity.Builder version(int version)

### properties

public Map<String,String> properties()

### properties

public Entity.Builder properties(Map<String,String> properties)

### property

public String property(String name)

### property

public Entity.Builder property(String name, String value)

### remove

public Entity.Builder remove(Predicate<String> namePredicate)

### retain

public Entity.Builder retain(Predicate<String> namePredicate)

### preBuild

public Entity.Builder preBuild(Consumer<Entity.Builder> handler)

### postBuild

public Entity.Builder postBuild(Consumer<Entity> handler)

### build

public Entity build()